Subject: Re: [patch net-next v2 00/10] introduce rocker switch driver with hardware accelerated datapath api - phase 1: bridge fdb offload

From: Jamal Hadi Salim <[email-masked]>
Date: Sun, 09 Nov 2014 23:03:40 -0500

Hi Simon,

On 11/09/14 22:46, Simon Horman wrote:
> Hi Jamal, Hi Jiri,
>
> On a somewhat related note I am also wondering what if any progress has
> been made regarding discussions of (and code for) the following:
>
> 1. Exposing flow tables to user-space
>     - I realise that this is Open vSwitch specific to some extent
>       but I am in no way implying that it should be done instead of
>       non-Open vSwitch specific work.
>     - Jiri, IIRC this was part ~v2 of your earlier offload patchset
>

I dont know what Rocker crowd is doing; however, I know
John F. has been doing some work which i have stared at
and I was hoping to join in with Ben's effort and show tc flow
offload on the realtek chip in my infinite spare time unles.
(for both Linux bridge and ports).
The priority is to merge the obvious bits first.

> 2. Describing Switch Hardware
>     - I see John Fastabend moving forwards on this in his git repository
>       https://github.com/jrfastab/flow-net-next
>
> The way that I see things is that both of the above could be exposed via
> netlink. And that the first at least could be backed by NDOs.  As such I
> see this work as complementary and perhaps applying on top of this
> patchset. If I am mistaken in this regards it would be good to know :)
>

You are correct - I will let John speak on his work, but
that is the intent.
The challenge is there are many schools of thoughts and i am hoping
it is not an arms race.

> I am of course also interested to know if the above are moving forwards.
> To be clear I am very interested in being able to use these APIs to
> perform Open vSwitch offloads and I am very happy to help.
> (Jamal: I'm also interested in non-Open vSwitch offloads :)
>

Hey, OVS should be able to use these APIs; i am just interested in 
making sure they are not just for OVS or OF. Then we are all happy;->

cheers,
jamal